Subject: bug#2280: 23.0.90; incorrect configuration

From: Peter Dyballa <[email-masked]>
Date: Wed, 11 Feb 2009 17:39:31 +0100

Hello!

The situation seems to be even worse than I described before! Passing  
to configure "--x-includes=/opt/local/include --x-libraries=/opt/ 
local/lib" I see now twice the inappropriate /sw containing lines  
(CVS update in-between):

checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking how to run the C preprocessor... cc -E -no-cpp-precomp -I/sw/ 
include -L/sw/lib
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for AIX... no
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking minix/config.h usability... no
checking minix/config.h presence... no
checking for minix/config.h... no
checking whether it is safe to define __EXTENSIONS__... yes
checking whether gcc understands -Wno-pointer-sign... yes
checking whether ln -s works... yes
checking how to run the C preprocessor... cc -E -no-cpp-precomp -I/sw/ 
include -L/sw/lib
checking for a BSD-compatible install... /usr/bin/install -c
checking for ranlib... ranlib

and in the end configure reports:

   What compiler should emacs be built with?               gcc -I/sw/ 
include -L/sw/lib -Wno-pointer-sign -H -pipe -fPIC -mcpu=7450 - 
mtune=7450 -fast -mpim-altivec -ftree-vectorize -foptimize-register- 
move -freorder-blocks -freorder-blocks-and-partition -fthread-jumps - 
fpeephole -fno-crossjumping

Let's see how this builds!

--
Greetings

   Pete

If you don't find it in the index, look very carefully through the  
entire catalogue.
	–  Sears, Roebuck, and Co., Consumer's Guide, 1897